Detail
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles/{cycle_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles/{cycle_id}"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles/{cycle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles/{cycle_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 1,
"name": "2024/25",
"date_from": "2024-07-01T00:00:00+00:00",
"date_to": "2025-06-30T00:00:00+00:00",
"is_current": true,
"modified_at": "2024-01-15T12:00:00+00:00",
"active": true
}{
"message": "Ciclo de campaña maestra no encontrado (id: 999999)"
}Version 3 > Master Campaign Cycles
Detail
Detalle de un ciclo por id, si pertenece al país o la sociedad del usuario autenticado.
GET
/
api
/
v3
/
third_party
/
master_campaign_cycles
/
{cycle_id}
Detail
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Response
OK
The response is of type object.

